/**
Theme Name: T'asVuTonNet
Author: RK Création
Author URI: https://www.rkcreation.fr
Description: Thème spécifique basé sur Astra Pro
Version: 1.0.3
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: tasvutonnet
Template: astra
*/

.ast-theme-transparent-header .ast-primary-header:not(.ast-sticky-active) {
    opacity: 0;
    pointer-events: none;
}

.inscription-btn {
    text-decoration: none !important;
    display: inline-flex;
    justify-content: center;
    align-items: center;
}
.inscription-btn-wrapper {
    display: flex;
    align-items: center;
    justify-content: flex-start;
}
.inscription-btn-wrapper[data-align="center"] {
    justify-content: center;
}
.inscription-btn-wrapper[data-align="right"] {
    justify-content: flex-end;
}

.inscription-btn,
.wp-block-button .wp-block-button__link,
.wp-block-button .wp-block-button__link .uagb-button__link {
    transition: all .15s ease;
}
.inscription-btn:hover,
.wp-block-button .wp-block-button__link:hover {
    transform: skewY(-3.5deg);
}
.inscription-btn:hover .ast-custom-button,
.wp-block-button .wp-block-button__link:hover .uagb-button__link {
    transform: skewY(1deg);
}

body:not(.home) .ast-single-entry-banner[data-post-type="page"] {
    position: relative;
    padding: var(--deco-size) 0;
    --deco-size: 20px;
}
body:not(.home) .ast-single-entry-banner[data-post-type="page"] .ast-container {
    position: relative;
    padding-top: 75px;
    padding-right: 15px;
    padding-bottom: 75px;
    padding-left: 15px;
    max-width: none;
    min-height: 240px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
}
body:not(.home) .ast-single-entry-banner[data-post-type="page"] .ast-container * {
    position: relative;
    z-index: 10;
}
body:not(.home) .ast-single-entry-banner[data-post-type="page"]::before,
body:not(.home) .ast-single-entry-banner[data-post-type="page"]::after {
    content: '';
    display: block;
    position: absolute;
    z-index: 1;
    background-repeat: no-repeat;
    pointer-events: none;
}
body:not(.home) .ast-single-entry-banner[data-post-type="page"]::before,
body:not(.home) .ast-single-entry-banner[data-post-type="page"]::after {
    height: var(--deco-size);
    width: 100vw;
    background-size: 100% 100%;
    background-position: left bottom;
    bottom: 0;
    left: 0;
    z-index: 2;
}
body:not(.home) .ast-single-entry-banner[data-post-type="page"]::before {
    background-image: url(/wp-content/themes/tasvutonnet/images/header-page-left-min.png);
    top: 0;
    left: 0;
}
body:not(.home) .ast-single-entry-banner[data-post-type="page"]::after {
    background-image: url(/wp-content/themes/tasvutonnet/images/header-page-right-min.png);
    bottom: 0;
    left: 0;
}
@media screen and (min-width: 750px) {
    body:not(.home) .ast-single-entry-banner[data-post-type="page"] {
        --deco-size: 90px;
        padding: 0 var(--deco-size);
    }
    body:not(.home) .ast-single-entry-banner[data-post-type="page"]::before,
    body:not(.home) .ast-single-entry-banner[data-post-type="page"]::after {
        position: absolute;
        z-index: 1;
        width: var(--deco-size);
        height: 100%;
        top: 0;
        bottom: 0;
    }
    body:not(.home) .ast-single-entry-banner[data-post-type="page"]::before {
        left: 0;
        right: auto;
    }
    body:not(.home) .ast-single-entry-banner[data-post-type="page"]::after {
        left: auto;
        right: 0;
    }
}
@media screen and (min-width: 1280px) {
    body:not(.home) .ast-single-entry-banner[data-post-type="page"] {
        --deco-size: 120px;
    }
}
@media screen and (min-width: 1600px) {
    body:not(.home) .ast-single-entry-banner[data-post-type="page"] {
        --deco-size: 320px;
    }
    body:not(.home) .ast-single-entry-banner[data-post-type="page"] .ast-container {
        min-height: 280px;
    }
}

.wp-block-uagb-image.wp-block-uagb-image--align-full > figure {
    max-width: none !important;
}


.wp-block-uagb-image.image-scotch {
    position: relative;
}
.wp-block-uagb-image.image-scotch::before,
.wp-block-uagb-image.image-scotch::after {
  content: '';
  display: block;
  position: absolute;
  width: 89px;
  height: 28px;
  background: var(--ast-global-color-0);
  transform: rotate(-36deg);
  left: -30px;
  top: 10px;
  z-index: 2;
}
.wp-block-uagb-image.image-scotch::after {
  left: auto;
  top: auto;
  right: -30px;
  bottom: 10px;
}
.wp-block-uagb-image.image-scotch .wp-block-uagb-image__figure {
    transform: rotate(-1deg);
}